RedRavenApi reference
Begin an attack run
Start an attack run from enabled scenarios and selected techniques. Credits are charged here: `sum(maximum_multi_turn) × techniques × attempts`
Start an attack run from enabled scenarios and selected techniques. Credits are charged here:
sum(maximum_multi_turn) × techniques × attempts
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/attack-run/begin"{ "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded", "run_id": "string", "status": "string", "work_count": 0, "scenarios_total": 0, "technique_ids": [ "string" ], "credits_charged": 0}Empty
Empty